=== modified file 'NEWS'
--- NEWS	2008-07-26 17:59:26 +0000
+++ NEWS	2008-07-26 17:53:10 +0000
@@ -6,6 +6,8 @@
 
     - New ninja theme sponsored by Canonical (Martin Albisetti)
 
+    - Added COPYING file and clarified copyright headers (John Arbash Meinel)
+
     - Remove the .py extension requiered by the Debian Policy.
       (Jelmer Vernooij)
 

=== modified file 'loggerhead/apps/filesystem.py'
--- loggerhead/apps/filesystem.py	2008-07-01 04:01:31 +0000
+++ loggerhead/apps/filesystem.py	2008-07-26 18:39:49 +0000
@@ -13,7 +13,7 @@
 from loggerhead.apps.branch import BranchWSGIApp
 from loggerhead.apps import favicon_app, static_app
 
-sql_dir = tempfile.mkdtemp()
+sql_dir = tempfile.mkdtemp(prefix='loggerhead-cache-')
 
 
 class DirectoryListing(object):

=== modified file 'loggerhead/static/css/global.css'
--- loggerhead/static/css/global.css	2008-07-24 02:40:21 +0000
+++ loggerhead/static/css/global.css	2008-07-25 19:23:15 +0000
@@ -93,27 +93,27 @@
 	text-align:center;
 	color:#fff;
 	text-decoration:none;
-	background:#d18b39;
+	background:#2f40a5;
 }
 ul#submenuTabs li {
 	float:left;
 	display:inline;
 	margin-left:1px;
 	color:#fff;
-	background:#d18b39;
+	background:#2f40a5;
 }
 ul#submenuTabs li a:hover {
 	float:left;
 	display:inline;
 	color:#fff;
-	background:#d18b39;
+	background:#2f40a5;
 	text-decoration:underline;
 }
 ul#submenuTabs li#first a, ul#submenuTabs li#first a:link, ul#submenuTabs li#first a:visited, ul#submenuTabs li#first a:hover {
-	background:#d18b39 url(../images/bg_submenuTabs.gif) top left no-repeat;
+	background:#2f40a5 url(../images/bg_submenuTabs.gif) top left no-repeat;
 }
 ul#submenuTabs li#last a, ul#submenuTabs li#last a:link, ul#submenuTabs li#last a:visited, ul#submenuTabs li#last a:hover {
-	background:#d18b39 url(../images/bg_submenuTabs.gif) bottom right no-repeat;
+	background:#2f40a5 url(../images/bg_submenuTabs.gif) bottom right no-repeat;
 }
 
 /* Search & RSS */

=== modified file 'loggerhead/static/images/bg_Tabs.gif'
Binary files loggerhead/static/images/bg_Tabs.gif and loggerhead/static/images/bg_Tabs.gif differ
=== modified file 'loggerhead/static/images/bg_menuTabs.gif'
Binary files loggerhead/static/images/bg_menuTabs.gif and loggerhead/static/images/bg_menuTabs.gif differ
=== modified file 'loggerhead/static/images/bg_submenuTabs.gif'
Binary files loggerhead/static/images/bg_submenuTabs.gif and loggerhead/static/images/bg_submenuTabs.gif differ
=== modified file 'loggerhead/templates/macros.pt'
--- loggerhead/templates/macros.pt	2008-07-22 21:50:55 +0000
+++ loggerhead/templates/macros.pt	2008-07-25 19:23:15 +0000
@@ -47,8 +47,6 @@
                                title string:Files;
                                id string:on">Files</a></li>
         </tal:block>
-        <li><a tal:attributes="href string:https://help.launchpad.net/Loggerhead;
-                               title string:Help">Help</a></li>       
       </ul>
       <div id="loggerheadCont">
     
@@ -57,7 +55,7 @@
         <h1 metal:define-slot="heading"></h1>
         <div metal:define-slot="content"></div>
 
-        <p class="fl">Launchpad runs <a href="https://launchpad.net/loggerhead" class="link">Loggerhead</a> on <a href="http://bazaar-vcs.org/" class="link">Bazaar</a> branches</p>
+        <p class="fl">Loggerhead runs on <a href="http://bazaar-vcs.org/" class="link">Bazaar</a> branches</p>
     </div>
   </body>
 </html>

=== modified file 'setup.py'
--- setup.py	2008-07-26 17:41:49 +0000
+++ setup.py	2008-07-29 20:42:25 +0000
@@ -12,50 +12,40 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-from setuptools import setup, find_packages
-from turbogears.finddata import find_package_data
-
+"""Loggerhead is a web viewer for projects in bazaar"""
+
+from distutils.core import setup, Command
+from distutils.command.install_data import install_data
+from distutils.dep_util import newer
+from distutils.log import info
+import glob
 import os
-execfile(os.path.join("loggerhead", "release.py"))
-
+import sys
+
+
+if sys.version_info < (2, 4):
+    sys.stderr.write("[ERROR] Not a supported Python version. Need 2.4+\n")
+    sys.exit(1)
+
+class InstallData(install_data):
+    def run(self):
+        install_data.run(self)
 
 setup(
-    name="loggerhead",
-    version=version,
-    
-    description=description,
-    author=author,
-    author_email=email,
-    url=url,
-    download_url=download_url,
-    license=license,
-    maintainer="Michael Hudson",
-    maintainer_email="michael.hudson@canonical.com",
-    
-    install_requires = [
-        "TurboGears >= 1.0b1",
-# for some reason, distutils can't find bzr.
-#        "bzr >= 0.13",
-    ],
+    name = "loggerhead",
+    version = "1.6",
+    description = "Loggerhead is a web viewer for projects in bazaar",
+    license = "GNU GPL v2 or later",
+    maintainer = "Michael Hudson",
+    maintainer_email = "michael.hudson@canonical.com",
     scripts = ["start-loggerhead", "stop-loggerhead", "serve-branches"],
-    zip_safe=False,
-    packages=find_packages(),
-    package_data = find_package_data(where='loggerhead',
-                                     package='loggerhead'),
-#    data_files = find_package_data(where='loggerhead', package='loggerhead'),
-    data_files=[('share/man/man1', 
-                    ['start-loggerhead.1', 'stop-loggerhead.1'])],
-    keywords = [
-        'turbogears.app',
-    ],
-    classifiers = [
-        'Development Status :: 3 - Alpha',
-        'Operating System :: OS Independent',
-        'Programming Language :: Python',
-        'Framework :: TurboGears',
-        'Framework :: TurboGears :: Applications',
-    ],
-    test_suite = 'nose.collector',
+    packages = ["loggerhead",
+               ],
+    package_data = {"loggerhead":["templates/*"]},
+    data_files=[
+                ('share/man/man1',['start-loggerhead.1', 'stop-loggerhead.1']),
+                ('share/doc/loggerhead', ['loggerhead.conf.example'])
+               ],
+    cmdclass={'install_data':InstallData}
     )
     

